Subject: Re: bug#5937: 23.1.95; why saving empty abbrev tables

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Mar 2011 11:09:34 -0400

>> write-abbrev-file may be called from a non-"edit-abbrevs" buffer
>> (e.g. from save-some-buffer), so I think that calling
>> edit-abbrevs-redefine from it is problematic.  Is there a particular
>> reason why you put the call to edit-abbrevs-redefine in
>> write-abbrev-file rather than in abbrev-save-buffer.
> Good point. I missed it. I want C-x C-w to also redefine the abbrevs if
> it is called in that editing buffer. Do you mind if I do something like
> the following in write-abbrev-file:

>  (and (derived-mode-p 'edit-abbrevs-mode)
>       (edit-abbrevs-redefine))

I'd rather call edit-abbrevs-redefine from the new command you'll bind
to C-x C-w.

        Stefan